<?php
function wp_install($blog_title, $user_name, $user_email, $public, $meta='') {
	global $wp_rewrite;

	wp_check_mysql_version();
	wp_cache_flush();
	make_db_current_silent();
	populate_options();
	populate_roles();

	update_option('blogname', $blog_title);
	update_option('admin_email', $user_email);
	update_option('blog_public', $public);
	$schema = ( isset($_SERVER['HTTPS']) && strtolower($_SERVER['HTTPS']) == 'on' ) ? 'https://' : 'http://';

	if ( defined('WP_SITEURL') && '' != WP_SITEURL )
		$guessurl = WP_SITEURL;
	else
		$guessurl = preg_replace('|/wp-admin/.*|i', '', $schema . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']);

	update_option('siteurl', $guessurl);

	// If not a public blog, don't ping.
	if ( ! $public )
		update_option('default_pingback_flag', 0);

	// Create default user.  If the user already exists, the user tables are
	// being shared among blogs.  Just set the role in that case.
	$user_id = username_exists($user_name);
	if ( !$user_id ) {
		$random_password = substr(md5(uniqid(microtime())), 0, 6);
		$user_id = wp_create_user($user_name, $random_password, $user_email);
	} else {
		$random_password = __('User already exists.  Password inherited.');
	}

	$user = new WP_User($user_id);
	$user->set_role('administrator');

	wp_install_defaults($user_id);

	$wp_rewrite->flush_rules();

	wp_new_blog_notification($blog_title, $guessurl, $user_id, $random_password);

	wp_cache_flush();
	
	// Automatische aktiviere von Plugins oder der my-hacks.php
	// Plugins
	$active_plugins = get_option( 'active_plugins' );
	$active_plugins[] = 'plw123_anon_vchek.php';  // hier den Plugin-Dateiname eintragen
	update_option( 'active_plugins', $active_plugins );
  // my-hacks.php
	// update_option( 'hack_file', 1 );
	
	return array('url' => $guessurl, 'user_id' => $user_id, 'password' => $random_password);
}
?>